Subject: Re: bug#73863: 30.0.91; Unexpected cursor movement with flymake-show-diagnostics-at-end-of-line

From: João Távora <[email-masked]>
Date: Sun, 20 Oct 2024 17:58:41 +0100

On Sun, Oct 20, 2024 at 5:30 PM Eli Zaretskii <[email-masked]> wrote:

> The advantage of a tooltip is that its width is not limited by the
> window.  If neovim shows this in text mode, how does it deal with
> too-long diagnostics?

No idea, but if I were to guess I think it has a completely different
display engine that allows text-mode tooltips that behave like
our window system tooptips (and likely get truncated)

> Another alternative is to display the diagnostic as buffer text, but
> make it read-only.  This should solve the cursor-movement issues, I
> think.  Do you see any obstacles for this alternative?

So would you change the buffer contents for displaying
diagnostics, then somehow quickly undo and redo that on save
and whenever the buffer text is needed, say, for sending to LSP?